#include <iostream>
#include <alps/parameter.h>
#include <alps/hdf5.hpp>


int main() {

  alps::Parameters parms;
  parms["MODEL"] = "spin";
  parms["spin"] = 1;
  parms["J"] = 0.5;
  parms["LATTICE"] = "open chain lattice";

  std::cout << "Parameters:\n" << parms << std::endl;

  alps::hdf5::archive ar("test.h5", "w");
  ar["/parameters"] << parms;

  std::cout << "..written to test.h5" << std::endl; 

}
